Attribute VB_Name = "modGlobal"
'
' File:       modGlobal.bas
'
' Purpose:    Simple program that demonstrates how to talk to the CAN232 in VB6
'
' Version:    Created 1.0.0, 7:th of April 2003
'
' Author:     Lars Wictorsson
'             LAWICEL / SWEDEN
'             http://www.lawicel.com/can232/   lars@lawicel.se
'
' Copyright:  The copyright to the computer program(s) herein is the
'             property of LAWICEL HB, Sweden. The program(s) may be used
'             and/or copied only with the written permission of LAWICEL HB
'             in accordance with the terms and conditions stipulated in
'             the agreement/contract under which the program(s) have been
'             supplied. FMV also owns this code and can do what they want
'             with it.
'
' History:    2003-04-07  1.0.0   Created (LWI)
'

Global sDummy As String
Global iFlagACK As Integer
Global ComPortStatus As Integer
Global ComPortNo As Integer
Global ComPortSpeed As String
Global CANSpeed As Integer

Function SendCommand(sCommand As String) As Integer
    iFlagACK = 0
    frmMain.MSCommCAN.Output = sCommand + Chr(13)
    Do While (iFlagACK = 0) ' wait for CR or BELL
        DoEvents
    Loop
    SendCommand = iFlagACK
    Debug.Print "SendCommand = " + Format(iFlagACK, "0")
End Function

Sub OpenComPort()
    On Error GoTo ErrOpen
'
' COM port for CAN232
'
    With frmMain
        If (ComPortStatus = 1) Then
            .MSCommCAN.PortOpen = False
        End If
        .MSCommCAN.CommPort = ComPortNo
        .MSCommCAN.Settings = ComPortSpeed + ",N,8,1"
        .MSCommCAN.InputLen = 0
        .MSCommCAN.InputMode = comInputModeText
        .MSCommCAN.RThreshold = 1
        .MSCommCAN.PortOpen = True
        ComPortStatus = 1
    End With
    Exit Sub
ErrOpen:
    ComPortStatus = 0
    MsgBox "Choose another COM port", vbCritical, "COM Port Error"
    On Error GoTo 0
End Sub
